<template>
  <div>
    <q-item class="GNL__drawer-item" active-class="is-active" to="/staff" v-if="role < 2 || role == 0" v-ripple
            clickable>
      <q-item-section avatar>
        <q-icon name="business"/>
      </q-item-section>
      <q-item-section>
        <q-item-label>Staff Management</q-item-label>
      </q-item-section>
    </q-item>
    <q-item class="GNL__drawer-item" active-class="is-active" to="/company" v-if="role < 2|| role == 0" v-ripple
            clickable>
      <q-item-section avatar>
        <q-icon name="business"/>
      </q-item-section>
      <q-item-section>
        <q-item-label>Company Management</q-item-label>
      </q-item-section>
    </q-item>
    <q-item class="GNL__drawer-item" active-class="is-active" to="/share" v-if="role == 2|| role == 0" v-ripple
            clickable>
      <q-item-section avatar>
        <q-icon name="business"/>
      </q-item-section>
      <q-item-section>
        <q-item-label>Shareholder Management</q-item-label>
      </q-item-section>
    </q-item>
    <q-item class="GNL__drawer-item" active-class="is-active" to="/senior" v-if="role == 3|| role == 0" v-ripple
            clickable>
      <q-item-section avatar>
        <q-icon name="business"/>
      </q-item-section>
      <q-item-section>
        <q-item-label>Senior Management</q-item-label>
      </q-item-section>
    </q-item>
    <q-item class="GNL__drawer-item" active-class="is-active" to="/v1/agent" v-if="role == 4|| role == 0" v-ripple
            clickable>
      <q-item-section avatar>
        <q-icon name="business"/>
      </q-item-section>
      <q-item-section>
        <q-item-label>Agent Management</q-item-label>
      </q-item-section>
    </q-item>
    <q-item class="GNL__drawer-item" active-class="is-active" to="/v1/member" v-if="role > 3|| role == 0" v-ripple
            clickable>
      <q-item-section avatar>
        <q-icon name="people"/>
      </q-item-section>
      <q-item-section>
        <q-item-label>Member Management</q-item-label>
      </q-item-section>
    </q-item>
  </div>
</template>
<script>
export default {
  name: 'organizeSideMenu',
  props: {
    role: {
      type: Number,
      default: 999
    }
  },
  data() {
    return {}
  },
  mounted() {
  }
}
</script>
